### Name: crosshybDetector-package
### Title: Detection of cross-hybridization events in microarray
###   experiments
### Aliases: crosshybDetector-package crosshybDetector
### Keywords: package

### ** Examples

## Not run: 
##D # This workflow will produce several images and files
##D # containing the results of crosshybDetector
##D 
##D pVal <- 0.01        # Threshold for corruptors
##D data(probeSeq)      # Vector of probe sequences
##D data(raw)           # Object of class marrayRaw containing one array
##D 
##D # Array names
##D arrayNames <- c("myArray")
##D for (k in 1:length(arrayNames)){
##D       
##D   # Run crosshyb
##D   crosshyb.out <- crosshyb(raw, probeSeq, plate=k, numPermut=10000,
##D                            probeNameID="Name", probes="probes",
##D                            satValue = 65535, maxProbes=50)                  
##D     
##D   # Write probes analyzed by crosshyb to file
##D   # Not nice for reading but useful for tracking
##D   crosshyb2xls.putative(crosshyb.out, arrayName=arrayNames[k])
##D     
##D   # Plot p-values obtained with Monte Carlo simulations
##D   crosshybMCplot(crosshyb.out, pVal, arrayName=arrayNames[k], doPlot=TRUE)
##D     
##D   # Extract bad probes  
##D   badProbes <- extractBadProbes(crosshyb.out, pVal)
##D                       
##D   # Plots for RED channel
##D   if(length(badProbes$corruptorsR)){
##D     parent <- badProbes$corruptorsR
##D     child  <- badProbes$corruptedR
##D       
##D     # Draw image plot
##D     crosshybImage(raw, plate = k, parent=parent, children=child, 
##D                   arrayName = arrayNames[k], channel="red", doPlot=TRUE)
##D       
##D     # Write parents and childrens to tab-delimited files (xls extension)
##D     crosshyb2xls(raw, array=k, parent=parent, children=child,
##D                  arrayName=arrayNames[k], channel="red", probeNameID="Name")
##D   }
##D     
##D   # Plots for GREEN channel
##D   if(length(badProbes$corruptorsG)){
##D     parent <- badProbes$corruptorsG
##D     child  <- badProbes$corruptedG
##D       
##D     # Draw image plot
##D     crosshybImage(raw, plate = k, parent=parent, children=child,
##D                   arrayName = arrayNames[k], channel="green", doPlot=TRUE)
##D       
##D     # Write parents and childrens to tab-delimited files (xls extension)
##D     crosshyb2xls(raw, array=k, parent=parent, children=child,
##D                  arrayName=arrayNames[k], channel="green", probeNameID="Name")
##D   }
##D    
##D   # Loess normalization using only probes
##D   # Use maNorm function from marray package
##D   norm <- maNorm(raw, norm="l", subset=maControls(raw) == "probes")
##D 
##D   # MA plot showing corruptor and corrupted probes
##D   crosshybMAplot(m = maM(norm[,k]),
##D                  a = maA(norm[,k]), 
##D                  subset=maControls(raw) %in% c("probes", "spike"),
##D                  badProbes=badProbes,
##D                  arrayName=arrayNames[k],
##D                  doPlot=TRUE) 
##D   rm(badProbes)
##D }
## End(Not run)




