### Name: crosshybImage
### Title: Spatial distribution of corruptor and corrupted probes
### Aliases: crosshybImage
### Keywords: misc

### ** Examples

data(raw)
data(probeSeq)

## Not run: 
##D  
##D # Run crosshyb...
##D # This function will take several minutes to finish
##D crosshyb.out  <- crosshyb(raw, probeSeq, plate=1, numPermut=10000,
##D                           name="Name", probes=c("probes", "spike"),
##D                           satValue = 65535, maxProbes=100)                  
## End(Not run)

# ... or load directly crosshyb output
data(crosshyb.out)

# Extract corrupted and corruptor probes  
badprobes <- extractBadProbes(crosshyb.out, pVal=0.01)

# Write results for RED channel
if(length(badprobes$corruptorsR)){
  parent <- badprobes$corruptorsR
  child  <- badprobes$corruptedR
  crosshybImage(raw, plate = 1, parent=parent, children=child,
                arrayName = "myArray", channel="red", doPlot=FALSE)
}




