### Name: crosshybMAplot
### Title: MA-plot
### Aliases: crosshybMAplot
### Keywords: misc

### ** Examples

data(raw)
data(probeSeq)
## Not run: 
##D # Run crosshyb - This function will take several minutes to finish
##D crosshyb.out <- crosshyb(raw, probeSeq, plate=1, numPermut=10000, probeNameID="Name",
##D                          probes="probes", satValue = 65535, maxProbes=100)                  
##D     
## End(Not run)

# ...or load directy crosshyb output
data(crosshyb.out)  

# Extract bad probes  
badProbes <- extractBadProbes(crosshyb.out, pVal=0.01)
   
# Loess normalization using only probes
# Use maNorm function from marray package
norm <- maNorm(raw, norm="l", subset=maControls(raw) == "probes")

# MA plot showing corruptor and corrupted probes
crosshybMAplot(m = maM(norm),
               a = maA(norm), 
               subset=maControls(raw) %in% c("probes", "spike"),
               badProbes=badProbes,
               arrayName="myArray",
               doPlot=FALSE) 



